﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WideMargin.Utilities;

namespace WideMargin.Gui.Wpf
{
    /// <summary>
    /// Interaction logic for TabTitle.xaml
    /// </summary>
    public partial class TabTitle : UserControl
    {
        public TabTitle()
        {
            InitializeComponent();
        }

        internal string Text
        {
            get
            {
                return _tabLabel.Content.ToString();
            }
            set
            {
                _tabLabel.Content = value;
            }
        }

        void Button_Click(object sender, RoutedEventArgs e)
        {
            CloseClicked.Fire(this, EventArgs.Empty);
        }

        internal event EventHandler<EventArgs> CloseClicked;
    }
}
